/* This file is part of Invaders.
 *
 * Copyright (C) 2020 LCM.
 * You may use, distribute and modify Invaders under the terms of the
 * GPLv3 license, available at <https://www.gnu.org/licenses/\>.
 */


#ifndef _boss_hpp
#define _boss_hpp

#include "enemy.hpp"
#include "pic.hpp"
#include <cstring>

typedef std::list<bullet> b_list;

class boss: public enemy, public pic
{
	public:
	boss() { id=16; alive=false; }
	
	boss(int x, int y, int life, int w, int h, std::string newname); //id is automatically set to 16, alive set to FALSE
	
	void next_pos();
	//inheriting direction from enemy
	int health,healthmax;
	std::string name;
	void set_life(int);

	void shoot(std::list<bullet> & bullets);
	
	boss& operator=(boss&);
	
};

#endif
