/* This file is part of Invaders.
 *
 * Copyright (C) 2020 LCM.
 * You may use, distribute and modify Invaders under the terms of the
 * GPLv3 license, available at <https://www.gnu.org/licenses/\>.
 */


#ifndef _enemy_
#define _enemy_

#include "game_object.hpp"
#include "bullet.hpp"
#include "definitions.hpp"

class enemy : public game_object
{	
	public:
	enemy();                    //costruttori:
	enemy(int X,int Y);		    //id viene automaticamente settato a 4, direction a 0, alive a true
	~enemy(){}
	
	void next_pos();
	void shoot(std::list<bullet> &);  //genera un nuovo proiettile 
	
	bool alive;			         //0: morto, 1: vivo
	int direction; 	       	//0: si sta muovendo a dx, 1: a sx, 2: verso il basso
	
};

#endif
