/* This file is part of Invaders.
 *
 * Copyright (C) 2020 LCM.
 * You may use, distribute and modify Invaders under the terms of the
 * GPLv3 license, available at <https://www.gnu.org/licenses/\>.
 */


#ifndef _pic_hpp
#define _pic_hpp

#include "body.hpp"
#include <fstream>
#include <iostream>

using std::ifstream; using std::ios;
using std::cout; using std::endl;

class pic : public body
{
	public:
	pic() : body() { clear(); }  //carica picture piena di spazi (??????? crea un body di dimensioni indefinite!!)
	pic(int w,int h);
	~pic();
	
	char** picture;		
	void loadpicture(const char*);	//loads picture from a file
	void clear();		               //deletes picture
	void set_values(int W, int H);	//sets coordinates of body
	void print();
};

#endif
